//
//  CDMapsAppDelegate.h
//  CDMaps
//
//  Created by Patrick Hughes on 3/23/10.
//  Copyright Fluffy Bunny Software 2010. All rights reserved.
//

@class CoreDataMapsViewController;

@interface CDMapsAppDelegate : NSObject <UIApplicationDelegate> {
    
    NSManagedObjectModel *managedObjectModel;
    NSManagedObjectContext *managedObjectContext;	    
    NSPersistentStoreCoordinator *persistentStoreCoordinator;

    UIWindow *window;
    UINavigationController *navigationController;
    CoreDataMapsViewController *viewController;
}

@property (nonatomic, retain, readonly) NSManagedObjectModel *managedObjectModel;
@property (nonatomic, retain, readonly) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, retain, readonly) NSPersistentStoreCoordinator *persistentStoreCoordinator;

@property (nonatomic, retain) IBOutlet UIWindow *window;
@property (nonatomic, retain) IBOutlet UINavigationController *navigationController;
@property (nonatomic, retain) IBOutlet CoreDataMapsViewController *viewController;


- (NSString *)applicationDocumentsDirectory;

@end

